package com.hfkj.service;

import com.hfkj.entity.BsAgent;
import com.hfkj.entity.BsSalesman;
import com.hfkj.entity.SecUser;

import java.util.List;
import java.util.Map;

/**
 * 业务员
 * @author hurui
 */
public interface BsSalesmanService {

    /**
     * 增加业务员
     * @param salesman 业务员参数对象
     */
    void insertSalesman(BsSalesman salesman, SecUser user);

    /**
     * 修改业务员
     * @param salesman 业务员参数对象
     */
    void updateSalesman(BsSalesman salesman);

    /**
     * 删除业务员
     * @param salesmanId 业务员id
     */
    void delSalesman(Long salesmanId);

    /**
     * 查询业务员
     * @param salesmanId 业务员id
     * @return
     */
    BsSalesman getSalesman(Long salesmanId);

    /**
     * 查询业务员列表
     * @param param 参数
     * @return
     */
    List<BsSalesman> getSalesmanList(Map<String, Object> param);

}
